enumerations

## Enum ValueType

- java.lang.Object
- - java.lang.Enum<ValueType>
  - - enumerations.ValueType

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<ValueType>

      public enum ValueType
      extends java.lang.Enum<ValueType>
      implements EnumBase

  Value Types specified in Wireless M-Bus, their binary representations, meanings and default multipliers.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ActualDuration_d`
    `ActualDuration_h`
    `ActualDuration_m`
    `ActualDuration_s`
    `AverageDuration_d`
    `AverageDuration_h`
    `AverageDuration_m`
    `AverageDuration_s`
    `BusAddress`
    `Energy_J`
    `Energy_Wh`
    `ExternalTemp_C`
    `FabricationNo`
    `FlowTemp_C`
    `HCA`
    `Identification`
    `Mass_Kg`
    `MassFlow_Kgph`
    `OnTime_d`
    `OnTime_h`
    `OnTime_m`
    `OnTime_s`
    `OperatingTime_d`
    `OperatingTime_h`
    `OperatingTime_m`
    `OperatingTime_s`
    `Power_Jph`
    `Power_W`
    `Pressure_Bar`
    `ReturnTemp_C`
    `TempDifference_K`
    `TimePointF`
    `TimePointG`
    `TimePointI`
    `TimePointJ`
    `Volume_m3`
    `VolumeFlow_m3ph`
    `VolumeFlow_m3pm`
    `VolumeFlow_m3ps`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `bits`
    `private java.lang.Integer` | `expOffset`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBits()`
    `java.lang.Integer` | `getExpOffset()`
    `java.lang.String` | `getNiceName()`
    `java.util.List<java.lang.Integer>` | `getPossibleMultipliers()`
    `java.lang.String` | `getPreparedBits(java.lang.Integer multiplier)` Combines this value type binary representation with given multiplier's binary representation to form the final 7 bits.
    `static ValueType` | `parse(java.lang.String bits)`
    `java.lang.String` | `toString()`
    `static ValueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### ActualDuration_d

          public static final ValueType ActualDuration_d

    - #### ActualDuration_h

          public static final ValueType ActualDuration_h

    - #### ActualDuration_m

          public static final ValueType ActualDuration_m

    - #### ActualDuration_s

          public static final ValueType ActualDuration_s

    - #### AverageDuration_d

          public static final ValueType AverageDuration_d

    - #### AverageDuration_h

          public static final ValueType AverageDuration_h

    - #### AverageDuration_m

          public static final ValueType AverageDuration_m

    - #### AverageDuration_s

          public static final ValueType AverageDuration_s

    - #### BusAddress

          public static final ValueType BusAddress

    - #### Energy_J

          public static final ValueType Energy_J

    - #### Energy_Wh

          public static final ValueType Energy_Wh

    - #### ExternalTemp_C

          public static final ValueType ExternalTemp_C

    - #### FabricationNo

          public static final ValueType FabricationNo

    - #### FlowTemp_C

          public static final ValueType FlowTemp_C

    - #### HCA

          public static final ValueType HCA

    - #### Identification

          public static final ValueType Identification

    - #### Mass_Kg

          public static final ValueType Mass_Kg

    - #### MassFlow_Kgph

          public static final ValueType MassFlow_Kgph

    - #### OnTime_d

          public static final ValueType OnTime_d

    - #### OnTime_h

          public static final ValueType OnTime_h

    - #### OnTime_m

          public static final ValueType OnTime_m

    - #### OnTime_s

          public static final ValueType OnTime_s

    - #### OperatingTime_d

          public static final ValueType OperatingTime_d

    - #### OperatingTime_h

          public static final ValueType OperatingTime_h

    - #### OperatingTime_m

          public static final ValueType OperatingTime_m

    - #### OperatingTime_s

          public static final ValueType OperatingTime_s

    - #### Power_Jph

          public static final ValueType Power_Jph

    - #### Power_W

          public static final ValueType Power_W

    - #### Pressure_Bar

          public static final ValueType Pressure_Bar

    - #### ReturnTemp_C

          public static final ValueType ReturnTemp_C

    - #### TempDifference_K

          public static final ValueType TempDifference_K

    - #### TimePointF

          public static final ValueType TimePointF

    - #### TimePointG

          public static final ValueType TimePointG

    - #### TimePointI

          public static final ValueType TimePointI

    - #### TimePointJ

          public static final ValueType TimePointJ

    - #### Volume_m3

          public static final ValueType Volume_m3

    - #### VolumeFlow_m3ph

          public static final ValueType VolumeFlow_m3ph

    - #### VolumeFlow_m3pm

          public static final ValueType VolumeFlow_m3pm

    - #### VolumeFlow_m3ps

          public static final ValueType VolumeFlow_m3ps

  - ### Field Detail

    - #### bits

          private java.lang.String bits

    - #### expOffset

          private java.lang.Integer expOffset

    - #### niceName

          private java.lang.String niceName

  - ### Method Detail

    - #### getBits

          public java.lang.String getBits()

    - #### getExpOffset

          public java.lang.Integer getExpOffset()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### getPossibleMultipliers

          public java.util.List<java.lang.Integer> getPossibleMultipliers()

    - #### getPreparedBits

          public java.lang.String getPreparedBits(java.lang.Integer multiplier)

      Combines this value type binary representation with given multiplier's binary representation to form the final 7 bits.
      Parameters:
        `multiplier` -
      Returns:

    - #### parse

          public static ValueType parse(java.lang.String bits)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ValueType>`

    - #### valueOf

          public static ValueType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static ValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValueType c : ValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared